Subject: RE: Mips cross compiler. Help!
From: [email-masked] (Don Bowman)

9 Apr 1998 02:49:13 -0700
Message-ID: <3521B963898BD111AA6A006008A84516079B92.cygnus.gnu-win32@SERVER>
To: "[email-masked]'" <[email-masked]>
Cc: "'David Linsley'" <[email-masked]>

I managed to do this without trouble. Here's the steps I took:
(I used egcs, but it works fine with the gcc 2.8.0 release)

1: get the latest binutils. configure as 'mips-gnu-elf' '--with-gnu-as'. make them. Run make install
2: get the egcs. configure it as 'mips-gnu-elf' '--with-gnu-as'. run make LANGUAGES="c c++" cross
   [this will fail when it gets to libgcc2, ignore]
3: run 'make install' for the egcs. This will make /usr/local/lib/gcc-lib/mips-gnu-elf/egcs...
4: cp the as-new.exe from the binutils to this directory as as.exe. Same for ld
5: run 'make LANGUAGES="c c++" cross' again for gcc. It will work now since it finds the right assembler
6: run make install

That worked fine for me. I suspect the problem you are having comes from the
copy of the opcodes file... I think they are different between gcc 2.8 and B19.
If you get the original gcc release instead of the gnu-win32 one it will work
fine.

FYI: mips-gnu-elf as both 32 and 64-bit support in it. The --with-gnu-as is
to make sure it doesn't use mips-tfile.

--don
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".